petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGuessGetType

Gets the KSPGuess type as a string from the KSPGuess object.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessGetType(KSPGuess guess,KSPGuessType *type)

Not Collective

### Input Parameter

guess -the initial guess context

### Output Parameter

name -name of KSPGuess method

### Keywords

KSP, get, method, name

### See Also

KSPGuessSetType()

### Level

intermediate

### Location

src/ksp/ksp/interface/iguess.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages